HobbyKing.com New Products Flash Sale
Reply
Thread Tools
Old Aug 24, 2011, 12:09 PM
Registered User
Joined Oct 2005
2 Posts
Discussion
HPP-22 Run time error

Hi all,

I was running ver 1.04 of the HPP-22 program without a problem. I uninstalled it using the uninstall file in the Hitec directory and then installed the latest version v1.11.

Now as soon as I start the HP-22 program I get a Run-time error "6':Overflow.

I am running Windows 7 Ultimate 64 with UAC switched off.

I have tried uninstalling V1.11 and reinstalling V1.04, that does not work. Also tried resinstalling V1.11 but the same problem persists.

It doesnt matter whether I have the HPP-22 plugged in before starting the software or not, same result.

Can anyone help?

Many thanks

Gordon
gblair is offline Find More Posts by gblair
Reply With Quote
Sign up now
to remove ads between posts
Old Aug 25, 2011, 08:27 AM
Registered User
Argentina
Joined Nov 2010
12 Posts
I have the same problem. The solution is easy: run the program in administrator mode (click right HPP-22.exe and search for "administrator mode" or something like that).
Try this and see what happens.
Regards

Jorge
volarealsur is offline Find More Posts by volarealsur
Reply With Quote
Old Aug 26, 2011, 03:56 AM
Registered User
Joined Oct 2005
2 Posts
Tried that, doesn't work
gblair is offline Find More Posts by gblair
Reply With Quote
Old Sep 01, 2011, 07:23 PM
Ready, Post, Aim
wedgewing's Avatar
Cleveland, OH
Joined Nov 2007
5,909 Posts
agree with gblair ....administrator mode did not work either

just found link to V1.10 to revert back and it worked like a champ... just ignore suggestion to update, because making your HPP22 just a blinking box of plastic really isnt an update

http://hitecrcd.co.kr/tester/firmwar...2_V1.10(0).exe
wedgewing is offline Find More Posts by wedgewing
Last edited by wedgewing; Sep 01, 2011 at 08:21 PM.
Reply With Quote
Old Sep 03, 2011, 03:57 PM
Lou
Registered User
United States, VA, Waynesboro
Joined Dec 2005
5,449 Posts
...
Lou is offline Find More Posts by Lou
RCG Plus Member
Last edited by Lou; Sep 03, 2011 at 09:57 PM.
Reply With Quote
Old Sep 03, 2011, 04:38 PM
Lou
Registered User
United States, VA, Waynesboro
Joined Dec 2005
5,449 Posts
Here Is How To Fix RunTime Error

This is just tooooooo simple. Someone is overpaying their programmers.

The problem is with the file name Inet_Product_Version.txt. The file is not using the proper EOL/NL/CR whatever you wish to call it at the end of each line. Therefore all lines run together to make one long line instead of 10 short lines.

Here is how the file should look ...

0/1.11.1/7/0/HPP-22/
1/1/OPTIC6SPORT/
2/1/OPTIC6SPORT 2.4/
3/10/AURORA9/
4/201/SPECTRA 2.4/
5/100/OPTIMA 2.4/
6/1/AGGRESSOR SRX PRO/
7/1/HTS-SS/
8/1/HTS-Navi/
9/3/HTS-Navi_SPECTRA 2.4/


The file is located in C:\Program Files\Hitecrcd\HPP-22\Updata. ( or whatever drive you installed it onto )

Position at the appropriate place in the file and press the enter key. You will end up with a file looking like the above. You will now be able to use the 1.11.1 version.

The first line contains the version number of the current release. If you have a copy of the previous file, you can edit it and change the version level and save the file.
Lou is offline Find More Posts by Lou
RCG Plus Member
Last edited by Lou; Sep 03, 2011 at 11:40 PM.
Reply With Quote
Old Sep 03, 2011, 06:13 PM
Fast and low...
aa78's Avatar
Joined Apr 2009
837 Posts
Quote:
Originally Posted by TestUser01 View Post
This is just tooooooo simple. Someone is overpaying their programmers.

The problem is with the file name Inet_Product_Version.txt. The file is not using the proper EOL/NL/CR whatever you wish to call it at the end of each line. Therefore all lines run together to make one long line instead of 10 short lines.

Here is how the file should look ...

0/1.11.1/7/0/HPP-22/
1/1/OPTIC6SPORT/
2/1/OPTIC6SPORT 2.4/
3/10/AURORA9/
4/201/SPECTRA 2.4/
5/100/OPTIMA 2.4/
6/1/AGGRESSOR SRX PRO/
7/1/HTS-SS/
8/1/HTS-Navi/
9/3/HTS-Navi_SPECTRA 2.4/


The file is located in C:\Program Files\Hitecrcd\HPP-22\Updata. ( or whatever drive you installed it onto )

Position at the appropriate place in the file and press the enter key. You will end up with a file looking like the above. You will now be able to use the 1.11.1 version.

The first line contains the version number of the current release. If you have a copy of the previous file, you can edit it and change the version level and save the file.
Thanks for your efforts and sharing the result!

Please post it in the A9 thread in the Radios forum.
aa78 is offline Find More Posts by aa78
Reply With Quote
Old Sep 03, 2011, 07:43 PM
Lou
Registered User
United States, VA, Waynesboro
Joined Dec 2005
5,449 Posts
...
Lou is offline Find More Posts by Lou
RCG Plus Member
Last edited by Lou; Sep 03, 2011 at 09:54 PM.
Reply With Quote
Old Sep 03, 2011, 10:56 PM
AMA 179
United States, CA, Huntington Beach
Joined Dec 2007
99 Posts
Thanks for posting this simple fix, I was quite flustered trying to accomplish the upgrades until I read your post.
Luckyducky is offline Find More Posts by Luckyducky
Reply With Quote
Old Sep 03, 2011, 11:33 PM
Lou
Registered User
United States, VA, Waynesboro
Joined Dec 2005
5,449 Posts
Quote:
Originally Posted by Luckyducky View Post
Thanks for posting this simple fix, I was quite flustered trying to accomplish the upgrades until I read your post.
Glad it is now working for you.

The problem is likely more than just the EOL being used or not used. Probably lies somewhere between how the file is parsed and what it is compared to. The error code is not returned, in my case anyway, until the Aurora9 part of the file is parsed. The two Optic choices will pass but nothing past it will pass. Perhaps with the numerous use of '/' and the parsing, a code 13 is returned. There could also be localisation issues with each users computer, none the less, core issue is with the HPP-22 software and how it behaves.

If it is a regional/localisation issue, European users may not be affected. Also, if European/Asian are not affected and these users download from a different server than the U.S. customers, there may be a corrupted file or build on demand routine for the U.S. server.

Many possibilities exist and not being privy to any of the code or the working of Hitec, I am only tossing out possibilities.
Lou is offline Find More Posts by Lou
RCG Plus Member
Last edited by Lou; Sep 03, 2011 at 11:42 PM.
Reply With Quote
Old Oct 14, 2011, 01:20 AM
Fast and low...
aa78's Avatar
Joined Apr 2009
837 Posts
HPP-22 v1.11(0) uninstalled correctly after this same change was made. Without it, the uninstaller abruptly exited soon after being run.

The Korean website has 1.11(0) while the US website has 1.11(1) which are both the same files. The application lists v1.11(0) at the bottom in either case.

Hitec's PC application leaves a lot to be desired. There is no indication of version number inside the setup. You just have the file name to go on which can be altered like it was above.
aa78 is offline Find More Posts by aa78
Reply With Quote
Reply


Thread Tools

Similar Threads
Category Thread Thread Starter Forum Replies Last Post
Sold Hitec HPP-22 PC programmer for Hitec TX & RX crosby Aircraft - General - Radio Equipment (FS/W) 2 Aug 22, 2011 11:18 AM
Discussion Hitec Limited Time Offer - HPP-22 Programmer for $9.99 with purchase of Minima Rx ServoCity ServoCity.com 0 Jul 29, 2011 01:58 PM
Sold Nib hpp-22 $18 dizzane Aircraft - General - Radio Equipment (FS/W) 1 Jul 11, 2011 11:06 AM
Sold Hitec HPP-22 PC Interface - $22 shipped eosglider Aircraft - General - Radio Equipment (FS/W) 3 Jun 21, 2011 01:50 PM
Question HPP-22 software installs, but will not run LAN Hitec/Multiplex USA 5 Apr 13, 2010 01:34 AM